import { useEffect } from "react";
import BasePostLayout from "../layout/BasePost/BasePostLayout";
import { useMainContext } from "../layout/MainProvider";
import MyLearningListContainer from "./components/MyLearningListContainer";
import { PostType } from "@nice/common";

export default function MyLearningPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.COURSE);
	}, [setSearchMode]);
	return (
		<BasePostLayout>
			<MyLearningListContainer></MyLearningListContainer>
		</BasePostLayout>
	);
}
